diff --git a/gcc/analyzer/region-model.h b/gcc/analyzer/region-model.h
index e5d04b47e0d..f75625fbe48 100644
--- a/gcc/analyzer/region-model.h
+++ b/gcc/analyzer/region-model.h
@@ -2986,66 +2845,40 @@ struct model2_merger
   void dump (bool simple) const;
 
 #if ITERATED_BINOPS
-  void add_iterating_widening_binop_thing (const binop_svalue2 *binop_sval);
+  void add_iterating_widening_binop_thing (const binop_svalue *binop_sval);
 #endif
-  region_model2_manager *get_manager () const
+  region_model_manager *get_manager () const
   {
     return m_model_a->get_manager ();
   }
 
-#if 0
-  template <typename Subclass>
-  Subclass *get_region2_a (region2_id rid_a) const
-  {
-    return m_model_a->get_region2 <Subclass> (rid_a);
-  }
-
-  template <typename Subclass>
-  Subclass *get_region2_b (region2_id rid_b) const
-  {
-    return m_model_b->get_region2 <Subclass> (rid_b);
-  }
-
-  bool can_merge_values_p (svalue2_id sid_a,
-			   svalue2_id sid_b,
-			   svalue2_id *merged_sid);
-
-  void record_region2s (region2_id a_rid,
-		       region2_id b_rid,
-		       region2_id merged_rid);
-
-  void record_svalue2s (svalue2_id a_sid,
-		       svalue2_id b_sid,
-		       svalue2_id merged_sid);
-#endif
-
-  const region_model2 *m_model_a;
-  const region_model2 *m_model_b;
+  const region_model *m_model_a;
+  const region_model *m_model_b;
   const program_point &m_point;
-  region_model2 *m_merged_model;
+  region_model *m_merged_model;
 #if ITERATED_BINOPS
   /* FIXME: comment for this.  */
-  auto_vec<const binop_svalue2 *> m_iterated_binops;
+  auto_vec<const binop_svalue *> m_iterated_binops;
 #endif
 };
 
 /* FIXME.  */
 
-class engine2
+class engine
 {
 public:
-  region_model2_manager *get_model_manager () { return &m_mgr; }
+  region_model_manager *get_model_manager () { return &m_mgr; }
 
   void log_stats (logger *logger) const;
 
 private:
-  region_model2_manager m_mgr;
+  region_model_manager m_mgr;
 
 };
 
 } // namespace ana
 
-extern void debug (const region_model2 &rmodel);
+extern void debug (const region_model &rmodel);
 
 namespace ana {
 
@@ -3055,10 +2888,10 @@ namespace selftest {
 
 using namespace ::selftest;
 
-/* An implementation of region_model2_context for use in selftests, which
+/* An implementation of region_model_context for use in selftests, which
    stores any pending_diagnostic instances passed to it.  */
 
-class test_region_model2_context : public noop_region_model2_context
+class test_region_model_context : public noop_region_model_context
 {
 public:
   void warn (pending_diagnostic *d) FINAL OVERRIDE
@@ -3098,42 +2931,42 @@ private:
     ASSERT_FALSE (sat);				\
   SELFTEST_END_STMT
 
-/* Implementation detail of the ASSERT_CONDITION_*2 macros.  */
+/* Implementation detail of the ASSERT_CONDITION_* macros.  */
 
-void assert_condition2 (const location &loc,
-			region_model2 &model,
-			const svalue2 *lhs, tree_code op, const svalue2 *rhs,
+void assert_condition (const location &loc,
+			region_model &model,
+			const svalue *lhs, tree_code op, const svalue *rhs,
 			tristate expected);
 
-void assert_condition2 (const location &loc,
-			region_model2 &model,
+void assert_condition (const location &loc,
+			region_model &model,
 			tree lhs, tree_code op, tree rhs,
 			tristate expected);
 
-/* Assert that REGION_MODEL2 evaluates the condition "LHS OP RHS"
+/* Assert that REGION_MODEL evaluates the condition "LHS OP RHS"
    as "true".  */
 
-#define ASSERT_CONDITION_TRUE2(REGION_MODEL2, LHS, OP, RHS)		\
+#define ASSERT_CONDITION_TRUE(REGION_MODEL, LHS, OP, RHS)		\
   SELFTEST_BEGIN_STMT							\
-  assert_condition2 (SELFTEST_LOCATION, REGION_MODEL2, LHS, OP, RHS,	\
+  assert_condition (SELFTEST_LOCATION, REGION_MODEL, LHS, OP, RHS,	\
 		     tristate (tristate::TS_TRUE));			\
   SELFTEST_END_STMT
 
-/* Assert that REGION_MODEL2 evaluates the condition "LHS OP RHS"
+/* Assert that REGION_MODEL evaluates the condition "LHS OP RHS"
    as "false".  */
 
-#define ASSERT_CONDITION_FALSE2(REGION_MODEL2, LHS, OP, RHS) \
+#define ASSERT_CONDITION_FALSE(REGION_MODEL, LHS, OP, RHS) \
   SELFTEST_BEGIN_STMT							\
-  assert_condition2 (SELFTEST_LOCATION, REGION_MODEL2, LHS, OP, RHS,	\
+  assert_condition (SELFTEST_LOCATION, REGION_MODEL, LHS, OP, RHS,	\
 		     tristate (tristate::TS_FALSE));			\
   SELFTEST_END_STMT
 
-/* Assert that REGION_MODEL2 evaluates the condition "LHS OP RHS"
+/* Assert that REGION_MODEL evaluates the condition "LHS OP RHS"
    as "unknown".  */
 
-#define ASSERT_CONDITION_UNKNOWN2(REGION_MODEL2, LHS, OP, RHS) \
+#define ASSERT_CONDITION_UNKNOWN(REGION_MODEL, LHS, OP, RHS) \
   SELFTEST_BEGIN_STMT							\
-  assert_condition2 (SELFTEST_LOCATION, REGION_MODEL2, LHS, OP, RHS,	\
+  assert_condition (SELFTEST_LOCATION, REGION_MODEL, LHS, OP, RHS,	\
 		     tristate (tristate::TS_UNKNOWN));			\
   SELFTEST_END_STMT
 
@@ -3143,4 +2976,4 @@ void assert_condition2 (const location &loc,
 
 } // namespace ana
 
-#endif /* GCC_ANALYZER_REGION_MODEL_2_H */
+#endif /* GCC_ANALYZER_REGION_MODEL_H */
diff --git a/gcc/analyzer/region-model2-impl-calls.cc b/gcc/analyzer/region-model2-impl-calls.cc
index 3ef3dd21152..c9f6033f785 100644
--- a/gcc/analyzer/region-model2-impl-calls.cc
+++ b/gcc/analyzer/region-model2-impl-calls.cc
@@ -62,8 +62,8 @@ namespace ana {
 
 /* call_details's ctor.  */
 
-call_details::call_details (const gcall *call, region_model2 *model,
-			    region_model2_context *ctxt)
+call_details::call_details (const gcall *call, region_model *model,
+			    region_model_context *ctxt)
 : m_call (call), m_model (model), m_ctxt (ctxt),
   m_lhs_type (NULL_TREE), m_lhs_region (NULL)
 {
@@ -80,7 +80,7 @@ call_details::call_details (const gcall *call, region_model2 *model,
    Otherwise do nothing and return false.  */
 
 bool
-call_details::maybe_set_lhs (const svalue2 *result) const
+call_details::maybe_set_lhs (const svalue *result) const
 {
   gcc_assert (result);
   if (m_lhs_region)
@@ -100,10 +100,10 @@ call_details::get_arg_tree (unsigned idx) const
   return gimple_call_arg (m_call, idx);
 }
 
-/* Get argument IDX at the callsite as an svalue2.  */
+/* Get argument IDX at the callsite as an svalue.  */
 
-const svalue2 *
-call_details::get_arg_svalue2 (unsigned idx) const
+const svalue *
+call_details::get_arg_svalue (unsigned idx) const
 {
   tree arg = get_arg_tree (idx);
   return m_model->get_rvalue (arg, m_ctxt);
@@ -125,7 +125,7 @@ call_details::dump_to_pp (pretty_printer *pp, bool simple) const
   pp_newline (pp);
   for (unsigned i = 0; i < gimple_call_num_args (m_call); i++)
     {
-      const svalue2 *arg_sval = get_arg_svalue2 (i);
+      const svalue *arg_sval = get_arg_svalue (i);
       pp_printf (pp, "arg %i: ", i);
       arg_sval->dump_to_pp (pp, simple);
       pp_newline (pp);
@@ -150,12 +150,12 @@ call_details::dump (bool simple) const
 /* Handle the on_call_pre part of "alloca".  */
 
 bool
-region_model2::impl_call_alloca (const call_details &cd)
+region_model::impl_call_alloca (const call_details &cd)
 {
-  const svalue2 *size_sval = cd.get_arg_svalue2 (0);
-  const region2 *new_reg = create_region_for_alloca (size_sval);
-  const svalue2 *ptr_sval
-    = m_mgr->get_ptr_svalue2 (cd.get_lhs_type (), new_reg);
+  const svalue *size_sval = cd.get_arg_svalue (0);
+  const region *new_reg = create_region_for_alloca (size_sval);
+  const svalue *ptr_sval
+    = m_mgr->get_ptr_svalue (cd.get_lhs_type (), new_reg);
   cd.maybe_set_lhs (ptr_sval);
   return true;
 }
@@ -167,12 +167,12 @@ region_model2::impl_call_alloca (const call_details &cd)
    debugging, and may be of use in DejaGnu tests.  */
 
 void
-region_model2::impl_call_analyzer_describe (const gcall *call,
-					    region_model2_context *ctxt)
+region_model::impl_call_analyzer_describe (const gcall *call,
+					   region_model_context *ctxt)
 {
   tree t_verbosity = gimple_call_arg (call, 0);
   tree t_val = gimple_call_arg (call, 1);
-  const svalue2 *sval = get_rvalue (t_val, ctxt);
+  const svalue *sval = get_rvalue (t_val, ctxt);
   bool simple = zerop (t_verbosity);
   label_text desc = sval->get_desc (simple);
   warning_at (call->location, 0, "svalue: %qs", desc.m_buffer);
@@ -187,8 +187,8 @@ region_model2::impl_call_analyzer_describe (const gcall *call,
    and what's more interesting is usually the def stmt for that name.  */
 
 void
-region_model2::impl_call_analyzer_eval (const gcall *call,
-					region_model2_context *ctxt)
+region_model::impl_call_analyzer_eval (const gcall *call,
+				       region_model_context *ctxt)
 {
   tree t_arg = gimple_call_arg (call, 0);
   tristate t = eval_condition (t_arg, NE_EXPR, integer_zero_node, ctxt);
@@ -198,10 +198,10 @@ region_model2::impl_call_analyzer_eval (const gcall *call,
 /* Handle the on_call_pre part of "__builtin_expect" etc.  */
 
 bool
-region_model2::impl_call_builtin_expect (const call_details &cd)
+region_model::impl_call_builtin_expect (const call_details &cd)
 {
   /* __builtin_expect's return value is its initial argument.  */
-  const svalue2 *sval = cd.get_arg_svalue2 (0);
+  const svalue *sval = cd.get_arg_svalue (0);
   cd.maybe_set_lhs (sval);
   return false;
 }
@@ -209,20 +209,20 @@ region_model2::impl_call_builtin_expect (const call_details &cd)
 /* Handle the on_call_pre part of "calloc".  */
 
 bool
-region_model2::impl_call_calloc (const call_details &cd)
+region_model::impl_call_calloc (const call_details &cd)
 {
-  const svalue2 *nmemb_sval = cd.get_arg_svalue2 (0);
-  const svalue2 *size_sval = cd.get_arg_svalue2 (1);
+  const svalue *nmemb_sval = cd.get_arg_svalue (0);
+  const svalue *size_sval = cd.get_arg_svalue (1);
   /* FIXME: check for overflow here?  */
-  const svalue2 *prod_sval
+  const svalue *prod_sval
     = m_mgr->get_or_create_binop (size_type_node, MULT_EXPR,
 				  nmemb_sval, size_sval);
-  const region2 *new_reg = create_region_for_heap_alloc (prod_sval);
+  const region *new_reg = create_region_for_heap_alloc (prod_sval);
   zero_fill_region (new_reg);
   if (cd.get_lhs_type ())
     {
-      const svalue2 *ptr_sval
-	= m_mgr->get_ptr_svalue2 (cd.get_lhs_type (), new_reg);
+      const svalue *ptr_sval
+	= m_mgr->get_ptr_svalue (cd.get_lhs_type (), new_reg);
       cd.maybe_set_lhs (ptr_sval);
     }
   else
@@ -234,31 +234,31 @@ region_model2::impl_call_calloc (const call_details &cd)
 
 /* Handle the on_call_post part of "free", after sm-handling.
 
-   If the ptr points to an underlying heap region2, delete the region2,
-   poisoning pointers to it and region2s within it.
+   If the ptr points to an underlying heap region, delete the region,
+   poisoning pointers to it and regions within it.
 
    We delay this until after sm-state has been updated so that the
    sm-handling can transition all of the various casts of the pointer
-   to a "freed" state *before* we delete the related region2 here.
+   to a "freed" state *before* we delete the related region here.
 
    This has to be done here so that the sm-handling can use the fact
-   that they point to the same region2 to establish that they are equal
-   (in region_model2::eval_condition_without_cm), and thus transition
-   all pointers to the region2 to the "freed" state together, regardless
+   that they point to the same region to establish that they are equal
+   (in region_model::eval_condition_without_cm), and thus transition
+   all pointers to the region to the "freed" state together, regardless
    of casts.  */
 
 void
-region_model2::impl_call_free (const call_details &cd)
+region_model::impl_call_free (const call_details &cd)
 {
-  const svalue2 *ptr_sval = cd.get_arg_svalue2 (0);
-  if (const region_svalue2 *ptr_to_region2_sval
-      = ptr_sval->dyn_cast_region_svalue2 ())
+  const svalue *ptr_sval = cd.get_arg_svalue (0);
+  if (const region_svalue *ptr_to_region_sval
+      = ptr_sval->dyn_cast_region_svalue ())
     {
-      /* If the ptr points to an underlying heap region2, delete it,
+      /* If the ptr points to an underlying heap region, delete it,
 	 poisoning pointers.  */
-      const region2 *freed_reg = ptr_to_region2_sval->get_pointee ();
-      purge_stats2 stats;
-      unbind_region2_and_descendents (freed_reg,
+      const region *freed_reg = ptr_to_region_sval->get_pointee ();
+      purge_stats stats;
+      unbind_region_and_descendents (freed_reg,
 				      POISON_KIND_FREED,
 				      &stats, cd.get_ctxt ()->get_logger ());
       // TODO: do anything with stats?
@@ -268,14 +268,14 @@ region_model2::impl_call_free (const call_details &cd)
 /* Handle the on_call_pre part of "malloc".  */
 
 bool
-region_model2::impl_call_malloc (const call_details &cd)
+region_model::impl_call_malloc (const call_details &cd)
 {
-  const svalue2 *size_sval = cd.get_arg_svalue2 (0);
-  const region2 *new_reg = create_region_for_heap_alloc (size_sval);
+  const svalue *size_sval = cd.get_arg_svalue (0);
+  const region *new_reg = create_region_for_heap_alloc (size_sval);
   if (cd.get_lhs_type ())
     {
-      const svalue2 *ptr_sval
-	= m_mgr->get_ptr_svalue2 (cd.get_lhs_type (), new_reg);
+      const svalue *ptr_sval
+	= m_mgr->get_ptr_svalue (cd.get_lhs_type (), new_reg);
       cd.maybe_set_lhs (ptr_sval);
     }
   else
@@ -288,13 +288,13 @@ region_model2::impl_call_malloc (const call_details &cd)
 /* Handle the on_call_pre part of "memset" and "__builtin_memset".  */
 
 bool
-region_model2::impl_call_memset (const call_details &cd)
+region_model::impl_call_memset (const call_details &cd)
 {
-  const svalue2 *dest_sval = cd.get_arg_svalue2 (0);
-  const svalue2 *fill_value_sval = cd.get_arg_svalue2 (1);
-  const svalue2 *num_bytes_sval = cd.get_arg_svalue2 (2);
+  const svalue *dest_sval = cd.get_arg_svalue (0);
+  const svalue *fill_value_sval = cd.get_arg_svalue (1);
+  const svalue *num_bytes_sval = cd.get_arg_svalue (2);
 
-  const region2 *dest_reg = deref_rvalue (dest_sval, cd.get_arg_tree (0),
+  const region *dest_reg = deref_rvalue (dest_sval, cd.get_arg_tree (0),
 					  cd.get_ctxt ());
 
   if (tree num_bytes = num_bytes_sval->maybe_get_constant ())
@@ -333,13 +333,13 @@ region_model2::impl_call_memset (const call_details &cd)
    Return true if the LHS is updated.  */
 
 bool
-region_model2::impl_call_strlen (const call_details &cd)
+region_model::impl_call_strlen (const call_details &cd)
 {
-  region_model2_context *ctxt = cd.get_ctxt ();
-  const svalue2 *arg_sval = cd.get_arg_svalue2 (0);
-  const region2 *buf_reg = deref_rvalue (arg_sval, cd.get_arg_tree (0), ctxt);
-  if (const string_region2 *str_reg
-      = buf_reg->dyn_cast_string_region2 ())
+  region_model_context *ctxt = cd.get_ctxt ();
+  const svalue *arg_sval = cd.get_arg_svalue (0);
+  const region *buf_reg = deref_rvalue (arg_sval, cd.get_arg_tree (0), ctxt);
+  if (const string_region *str_reg
+      = buf_reg->dyn_cast_string_region ())
     {
       tree str_cst = str_reg->get_string_cst ();
       /* TREE_STRING_LENGTH is sizeof, not strlen.  */
@@ -348,8 +348,8 @@ region_model2::impl_call_strlen (const call_details &cd)
       if (cd.get_lhs_type ())
 	{
 	  tree t_cst = build_int_cst (cd.get_lhs_type (), strlen_cst);
-	  const svalue2 *result_sval
-	    = m_mgr->get_or_create_constant_svalue2 (t_cst);
+	  const svalue *result_sval
+	    = m_mgr->get_or_create_constant_svalue (t_cst);
 	  cd.maybe_set_lhs (result_sval);
 	  return true;
 	}
diff --git a/gcc/analyzer/region-model2-reachability.cc b/gcc/analyzer/region-model2-reachability.cc
index 95b644efc7f..ade393d813b 100644
--- a/gcc/analyzer/region-model2-reachability.cc
+++ b/gcc/analyzer/region-model2-reachability.cc
@@ -71,8 +71,8 @@ along with GCC; see the file COPYING3.  If not see
 
 namespace ana {
 
-reachable_region2s::reachable_region2s (store *store,
-					region_model2_manager *mgr)
+reachable_regions::reachable_regions (store *store,
+				      region_model_manager *mgr)
 : m_store (store), m_mgr (mgr), m_reachable_regs (), m_mutable_regs ()
 {
 }
@@ -80,20 +80,20 @@ reachable_region2s::reachable_region2s (store *store,
 /* Callback called for each cluster when initializing this object.  */
 
 void
-reachable_region2s::init_cluster_cb (const region2 *base_reg,
-				     reachable_region2s *this_ptr)
+reachable_regions::init_cluster_cb (const region *base_reg,
+				    reachable_regions *this_ptr)
 {
   this_ptr->init_cluster (base_reg);
 }
 
 /* Called for each cluster when initializing this object.  */
 void
-reachable_region2s::init_cluster (const region2 *base_reg)
+reachable_regions::init_cluster (const region *base_reg)
 {
   /* Mark any globals as mutable (and traverse what they point to).  */
-  const region2 *parent = base_reg->get_parent_region ();
+  const region *parent = base_reg->get_parent_region ();
   gcc_assert (parent);
-  if (parent->get_kind () == region2::RK_GLOBALS)
+  if (parent->get_kind () == region::RK_GLOBALS)
     add (base_reg, true);
 
   /* Mark any clusters that already escaped in previous unknown calls
@@ -103,14 +103,14 @@ reachable_region2s::init_cluster (const region2 *base_reg)
 
   /* If BASE_REG is *INIT_VAL(REG) for some other REG, see if REG is
      unbound and untouched.  If so, then add BASE_REG as a root.  */
-  if (const symbolic_region2 *sym_reg = base_reg->dyn_cast_symbolic_region2 ())
+  if (const symbolic_region *sym_reg = base_reg->dyn_cast_symbolic_region ())
     {
-      const svalue2 *ptr = sym_reg->get_pointer ();
-      if (const initial_svalue2 *init_sval = ptr->dyn_cast_initial_svalue2 ())
+      const svalue *ptr = sym_reg->get_pointer ();
+      if (const initial_svalue *init_sval = ptr->dyn_cast_initial_svalue ())
 	{
-	  const region2 *init_sval_reg = init_sval->get_region ();
-	  const region2 *other_base_reg = init_sval_reg->get_base_region ();
-	  const binding_cluster2 *other_cluster
+	  const region *init_sval_reg = init_sval->get_region ();
+	  const region *other_base_reg = init_sval_reg->get_base_region ();
+	  const binding_cluster *other_cluster
 	    = m_store->get_cluster (other_base_reg);
 	  if (other_cluster == NULL
 	      || !other_cluster->touched_p ())
@@ -122,11 +122,11 @@ reachable_region2s::init_cluster (const region2 *base_reg)
   /* Lazily mark the cluster containing REG as being reachable, recursively
      adding clusters reachable from REG's cluster.  */
 void
-reachable_region2s::add (const region2 *reg, bool is_mutable)
+reachable_regions::add (const region *reg, bool is_mutable)
 {
   gcc_assert (reg);
 
-  const region2 *base_reg = const_cast <region2 *> (reg->get_base_region ());
+  const region *base_reg = const_cast <region *> (reg->get_base_region ());
   gcc_assert (base_reg);
 
   /* Bail out if this cluster is already in the sets at the IS_MUTABLE
@@ -144,15 +144,15 @@ reachable_region2s::add (const region2 *reg, bool is_mutable)
     }
 
   /* Add values within the cluster.  If any are pointers, add the pointee.  */
-  if (binding_cluster2 *bind_cluster = m_store->get_cluster (base_reg))
+  if (binding_cluster *bind_cluster = m_store->get_cluster (base_reg))
     bind_cluster->for_each_value (handle_sval_cb, this);
   else
     handle_sval (m_mgr->get_or_create_initial_value (base_reg));
 }
 
 void
-reachable_region2s::handle_sval_cb (const svalue2 *sval,
-				    reachable_region2s *this_ptr)
+reachable_regions::handle_sval_cb (const svalue *sval,
+				   reachable_regions *this_ptr)
 {
   this_ptr->handle_sval (sval);
 }
@@ -160,12 +160,12 @@ reachable_region2s::handle_sval_cb (const svalue2 *sval,
 /* Add SVAL.  If it is a pointer, add the pointed-to region.  */
 
 void
-reachable_region2s::handle_sval (const svalue2 *sval)
+reachable_regions::handle_sval (const svalue *sval)
 {
   m_reachable_svals.add (sval);
-  if (const region_svalue2 *ptr = sval->dyn_cast_region_svalue2 ())
+  if (const region_svalue *ptr = sval->dyn_cast_region_svalue ())
     {
-      const region2 *pointee = ptr->get_pointee ();
+      const region *pointee = ptr->get_pointee ();
       /* Use const-ness of pointer type to affect mutability.  */
       bool ptr_is_mutable = true;
       if (ptr->get_type ()
@@ -180,18 +180,18 @@ reachable_region2s::handle_sval (const svalue2 *sval)
 	}
       add (pointee, ptr_is_mutable);
     }
-  /* Treat all svalues within a compound_svalue2 as reachable.  */
-  if (const compound_svalue2 *compound_sval
-      = sval->dyn_cast_compound_svalue2 ())
+  /* Treat all svalues within a compound_svalue as reachable.  */
+  if (const compound_svalue *compound_sval
+      = sval->dyn_cast_compound_svalue ())
     {
-      for (compound_svalue2::iterator_t iter = compound_sval->begin ();
+      for (compound_svalue::iterator_t iter = compound_sval->begin ();
 	   iter != compound_sval->end (); ++iter)
 	{
-	  const svalue2 *iter_sval = (*iter).second;
+	  const svalue *iter_sval = (*iter).second;
 	  handle_sval (iter_sval);
 	}
     }
-  if (const svalue2 *cast = sval->maybe_undo_cast ())
+  if (const svalue *cast = sval->maybe_undo_cast ())
     handle_sval (cast);
 }
 
@@ -199,7 +199,7 @@ reachable_region2s::handle_sval (const svalue2 *sval)
    Use PARAM_TYPE for determining mutability.  */
 
 void
-reachable_region2s::handle_parm (const svalue2 *sval, tree param_type)
+reachable_regions::handle_parm (const svalue *sval, tree param_type)
 {
   bool is_mutable = true;
   if (param_type
@@ -210,10 +210,10 @@ reachable_region2s::handle_parm (const svalue2 *sval, tree param_type)
     m_mutable_svals.add (sval);
   else
     m_reachable_svals.add (sval);
-  if (const region_svalue2 *parm_ptr
-      = sval->dyn_cast_region_svalue2 ())
+  if (const region_svalue *parm_ptr
+      = sval->dyn_cast_region_svalue ())
     {
-      const region2 *pointee_reg = parm_ptr->get_pointee ();
+      const region *pointee_reg = parm_ptr->get_pointee ();
       add (pointee_reg, is_mutable);
     }
 }
@@ -222,12 +222,12 @@ reachable_region2s::handle_parm (const svalue2 *sval, tree param_type)
    as having escaped.  */
 
 void
-reachable_region2s::mark_escaped_clusters (store_manager *mgr)
+reachable_regions::mark_escaped_clusters (store_manager *mgr)
 {
-  for (hash_set<const region2 *>::iterator iter = m_mutable_regs.begin ();
+  for (hash_set<const region *>::iterator iter = m_mutable_regs.begin ();
        iter != m_mutable_regs.end (); ++iter)
     {
-      const region2 *base_reg = *iter;
+      const region *base_reg = *iter;
       m_store->mark_as_escaped (base_reg);
     }
 }
@@ -235,11 +235,11 @@ reachable_region2s::mark_escaped_clusters (store_manager *mgr)
 /* Dump a multiline representation of this object to PP.  */
 
 void
-reachable_region2s::dump_to_pp (pretty_printer *pp) const
+reachable_regions::dump_to_pp (pretty_printer *pp) const
 {
   pp_string (pp, "reachable clusters: ");
   pp_newline (pp);
-  for (hash_set<const region2 *>::iterator iter = m_reachable_regs.begin ();
+  for (hash_set<const region *>::iterator iter = m_reachable_regs.begin ();
        iter != m_reachable_regs.end (); ++iter)
     {
       pp_string (pp, "  ");
@@ -248,7 +248,7 @@ reachable_region2s::dump_to_pp (pretty_printer *pp) const
     }
   pp_string (pp, "mutable clusters: ");
   pp_newline (pp);
-  for (hash_set<const region2 *>::iterator iter = m_mutable_regs.begin ();
+  for (hash_set<const region *>::iterator iter = m_mutable_regs.begin ();
        iter != m_mutable_regs.end (); ++iter)
     {
       pp_string (pp, "  ");
@@ -257,7 +257,7 @@ reachable_region2s::dump_to_pp (pretty_printer *pp) const
     }
   pp_string (pp, "reachable svals: ");
   pp_newline (pp);
-  for (hash_set<const svalue2 *>::iterator iter = m_reachable_svals.begin ();
+  for (hash_set<const svalue *>::iterator iter = m_reachable_svals.begin ();
        iter != m_reachable_svals.end (); ++iter)
     {
       pp_string (pp, "  ");
@@ -266,7 +266,7 @@ reachable_region2s::dump_to_pp (pretty_printer *pp) const
     }
   pp_string (pp, "mutable svals: ");
   pp_newline (pp);
-  for (hash_set<const svalue2 *>::iterator iter = m_mutable_svals.begin ();
+  for (hash_set<const svalue *>::iterator iter = m_mutable_svals.begin ();
        iter != m_mutable_svals.end (); ++iter)
     {
       pp_string (pp, "  ");
@@ -278,7 +278,7 @@ reachable_region2s::dump_to_pp (pretty_printer *pp) const
 /* Dump a multiline representation of this object to stderr.  */
 
 DEBUG_FUNCTION void
-reachable_region2s::dump () const
+reachable_regions::dump () const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
diff --git a/gcc/analyzer/region-model2-reachability.h b/gcc/analyzer/region-model2-reachability.h
index 8c49b3f0090..6c3c0f316d7 100644
--- a/gcc/analyzer/region-model2-reachability.h
+++ b/gcc/analyzer/region-model2-reachability.h
@@ -18,69 +18,69 @@ You should have received a copy of the GNU General Public License
 along with GCC; see the file COPYING3.  If not see
 <http://www.gnu.org/licenses/>.  */
 
-#ifndef GCC_ANALYZER_REGION_MODEL2_REACHABILITY_H
-#define GCC_ANALYZER_REGION_MODEL2_REACHABILITY_H
+#ifndef GCC_ANALYZER_REGION_MODEL_REACHABILITY_H
+#define GCC_ANALYZER_REGION_MODEL_REACHABILITY_H
 
 namespace ana {
 
-/* Helper class for region_model2::handle_unrecognized_call, for keeping
-   track of all region2s that are reachable, and, of those, which are
+/* Helper class for region_model::handle_unrecognized_call, for keeping
+   track of all regions that are reachable, and, of those, which are
    mutable.
    FIXME: also for detecting leaks.  */
 
-class reachable_region2s
+class reachable_regions
 {
 public:
-  reachable_region2s (store *store, region_model2_manager *mgr);
+  reachable_regions (store *store, region_model_manager *mgr);
 
   /* Callback called for each cluster when initializing this object.  */
-  static void init_cluster_cb (const region2 *base_reg,
-			       reachable_region2s *this_ptr);
+  static void init_cluster_cb (const region *base_reg,
+			       reachable_regions *this_ptr);
 
   /* Called for each cluster when initializing this object.  */
-  void init_cluster (const region2 *base_reg);
+  void init_cluster (const region *base_reg);
 
   /* Lazily mark the cluster containing REG as being reachable, recursively
      adding clusters reachable from REG's cluster.  */
-  void add (const region2 *reg, bool is_mutable);
+  void add (const region *reg, bool is_mutable);
 
-  static void handle_sval_cb (const svalue2 *sval,
-			      reachable_region2s *this_ptr);
+  static void handle_sval_cb (const svalue *sval,
+			      reachable_regions *this_ptr);
 
   /* Add SVAL.  If it is a pointer, add the pointed-to region.  */
-  void handle_sval (const svalue2 *sval);
+  void handle_sval (const svalue *sval);
 
   /* Add SVAL.  If it is a pointer, add the pointed-to region.
      Use PARAM_TYPE for determining mutability.  */
-  void handle_parm (const svalue2 *sval, tree param_type);
+  void handle_parm (const svalue *sval, tree param_type);
 
   /* FIXME.  */
 
   void mark_escaped_clusters (store_manager *mgr);
 
   /* Iteration over reachable regions.  */
-  hash_set<const region2 *>::iterator begin ()
+  hash_set<const region *>::iterator begin ()
   {
     return m_reachable_regs.begin ();
   }
-  hash_set<const region2 *>::iterator end ()
+  hash_set<const region *>::iterator end ()
   {
     return m_reachable_regs.end ();
   }
 
-  hash_set<const svalue2 *>::iterator begin_reachable_svals ()
+  hash_set<const svalue *>::iterator begin_reachable_svals ()
   {
     return m_reachable_svals.begin ();
   }
-  hash_set<const svalue2 *>::iterator end_reachable_svals ()
+  hash_set<const svalue *>::iterator end_reachable_svals ()
   {
     return m_reachable_svals.end ();
   }
-  hash_set<const svalue2 *>::iterator begin_mutable_svals ()
+  hash_set<const svalue *>::iterator begin_mutable_svals ()
   {
     return m_mutable_svals.begin ();
   }
-  hash_set<const svalue2 *>::iterator end_mutable_svals ()
+  hash_set<const svalue *>::iterator end_mutable_svals ()
   {
     return m_mutable_svals.end ();
   }
@@ -91,24 +91,24 @@ public:
 
 private:
   store *m_store;
-  region_model2_manager *m_mgr;
+  region_model_manager *m_mgr;
 
   // FIXME: actually, the clusters
   /* The regions already seen.  */
-  hash_set<const region2 *> m_reachable_regs;
+  hash_set<const region *> m_reachable_regs;
 
   /* The regions that can be changed (accessed via non-const pointers).  */
-  hash_set<const region2 *> m_mutable_regs;
+  hash_set<const region *> m_mutable_regs;
 
   /* svalues that were passed as const pointers, so e.g. couldn't have
      been freed (but could have e.g. had "close" called on them if an
      int file-descriptor).  */
-  hash_set<const svalue2 *> m_reachable_svals;
+  hash_set<const svalue *> m_reachable_svals;
   /* svalues that were passed as non-const pointers, so e.g. could have
      been freed.  */
-  hash_set<const svalue2 *> m_mutable_svals;
+  hash_set<const svalue *> m_mutable_svals;
 };
 
 } // namespace ana
 
-#endif /* GCC_ANALYZER_REGION_MODEL2_REACHABILITY_H */
+#endif /* GCC_ANALYZER_REGION_MODEL_REACHABILITY_H */
diff --git a/gcc/analyzer/sm-file.cc b/gcc/analyzer/sm-file.cc
index 85fbe84999e..f1b3f6c3404 100644
--- a/gcc/analyzer/sm-file.cc
+++ b/gcc/analyzer/sm-file.cc
@@ -56,7 +56,7 @@ public:
   bool inherited_state_p () const FINAL OVERRIDE { return false; }
 
   state_machine::state_t
-  get_default_state (const svalue2 *sval) const FINAL OVERRIDE
+  get_default_state (const svalue *sval) const FINAL OVERRIDE
   {
     if (tree cst = sval->maybe_get_constant ())
       {
diff --git a/gcc/analyzer/sm-malloc.cc b/gcc/analyzer/sm-malloc.cc
index ca51da7f2ab..739139a085f 100644
--- a/gcc/analyzer/sm-malloc.cc
+++ b/gcc/analyzer/sm-malloc.cc
@@ -57,17 +57,17 @@ public:
   bool inherited_state_p () const FINAL OVERRIDE { return false; }
 
   state_machine::state_t
-  get_default_state (const svalue2 *sval) const FINAL OVERRIDE
+  get_default_state (const svalue *sval) const FINAL OVERRIDE
   {
     if (tree cst = sval->maybe_get_constant ())
       {
 	if (zerop (cst))
 	  return m_null;
       }
-    if (const region_svalue2 *ptr = sval->dyn_cast_region_svalue2 ())
+    if (const region_svalue *ptr = sval->dyn_cast_region_svalue ())
       {
-	const region2 *reg = ptr->get_pointee ();
-	if (reg->get_kind () == region2::RK_STRING)
+	const region *reg = ptr->get_pointee ();
+	if (reg->get_kind () == region::RK_STRING)
 	  return m_non_heap;
       }
     return m_start;
